%define upstream_name    Log-Fu
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Simplified and developer-friendly screen logging
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Constant::Generate) >= 0.40.0
BuildRequires: perl(Dir::Self)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is a simple interface for console logging. It provides a few
functions, 'log_info', 'log_debug', 'log_warn', 'log_crit', and 'log_err'.
They all take strings as arguments, and can take as many arguments as you
so desire (so any concatenation is done for you).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.310.0-10.mga10
+ Revision: 2199555
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.310.0-9.mga9
+ Revision: 1804267
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.310.0-8.mga8
+ Revision: 1495435
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.310.0-7.mga7
+ Revision: 1269009
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.310.0-6.mga6
+ Revision: 1029380
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.310.0-5.mga6
+ Revision: 949719
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.310.0-4.mga5
+ Revision: 790362
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-3.mga5
+ Revision: 741287
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-2.mga5
+ Revision: 685265
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.310.0-1.mga5
+ Revision: 581205
- New version 0.31

* Mon Oct 21 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 538488
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 0.300.0-2.mga4
+ Revision: 489763
- Fix test

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 369222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 kharec <kharec> 0.300.0-1.mga2
+ Revision: 211664
- update to 0.30

* Fri Dec 16 2011 kharec <kharec> 0.250.0-1.mga2
+ Revision: 182488
- imported package perl-Log-Fu


* Fri Dec 16 2011 cpan2dist 0.25-1mga
- initial mageia release, generated with cpan2dist
